import { createAsyncThunk } from "@reduxjs/toolkit";
import axios from "axios";
import { LOADING_END, LOADING_START } from "../../../lib/redux/slices/appSlice";
import { getRoleFromUrl } from "../../../utils/getRoleFromUrl";

export const slaughterGetExportAllowState = createAsyncThunk(
  "SLAUGHTER_GET_EXPORT_ALLOW_STATE",
  async (d, { dispatch }) => {
    dispatch(LOADING_START());
    const { data, status } = await axios.get("allow_direct_buying/", {
      params: {
        role: getRoleFromUrl(),
        ...d,
      },
    });
    dispatch(LOADING_END());
    return { data, status };
  }
);
